openapi: 3.0.0
info:
  version: 1.0.0
  title: Kalimasi ADMIN API
  description: "提供給通用能源監控系統的API，做為"

servers:
# Added by API Auto Mocking Plugin
  - description: SwaggerHub API Auto Mocking
    url: https://virtserver.swaggerhub.com/pet94/ZAPI-User/1.0.0

tags:
  - name: accTerm
    description: 會計科目API
  - name: report
    description: 報表API
    
paths:
  /v1/accTerm:
    post:
      tags: [accTerm]
      summary: 建立會計科目
      operationId: create-accTerm
      security:
        - ApiKeyAuth: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAccTerm'
      responses:
        '200':
          description: ok
        '400':
          description: bad request
        '500':
          description: internal server error             
  /v1/accTerm/{ID}:
    put:
      tags: [accTerm]
      summary: 修改會計科目
      operationId: modify-accTerm
      security:
        - ApiKeyAuth: []
      parameters:
        - in: path
          name: ID
          required: true
          schema:
            type: string
          description: ID
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAccTerm'
      responses:
        '200':
          description: ok
        '400':
          description: bad request
        '500':
          description: internal server error
components:
  schemas:
    AccTermItem:
      type: object
      properties:
        code:
          type: string
        name:
          type: string
        sub:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              name:
                type: string
    CreateAccTerm:
      type: object
      properties:
        assets:
          type: array
          items:
            $ref: '#/components/schemas/AccTermItem'
        debt:
          type: array
          items:
            $ref: '#/components/schemas/AccTermItem'
        fund:
          type: array
          items:
            $ref: '#/components/schemas/AccTermItem'
        income:
          type: array
          items:
            $ref: '#/components/schemas/AccTermItem'
        expenses:
          type: array
          items:
            $ref: '#/components/schemas/AccTermItem'
  securitySchemes:
    ApiKeyAuth:        # arbitrary name for the security scheme
      type: apiKey
      in: header       # can be "header", "query" or "cookie"
      name: Auth-Token  # name of the header, query parameter or cookie